xfce4-session (4.14.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Feb 2020 15:45:19 -0800

xfce4-session (4.14.1-1) unstable; urgency=medium

  [ Unit 193 ]
  * d/watch: Update for upstream's move to mirrorbit.

  [ Yves-Alexis Perez ]
  * d/watch: use uscan special strings
  * New upstream version 4.14.1
  * d/control: update dh compat level to 12
  * d/control: update standards version to 4.4.1
  * d/control: drop version in intltool build-dep

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 11 Jan 2020 16:17:37 +0100

xfce4-session (4.14.0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream version 4.13.2:
    - debian/patches/0003-hardcode-RM_CMD-to-rm.patch:
      - Dropped, engines removed upstream.
  * New upstream version 4.13.3

  [ Yves-Alexis Perez ]
  * New upstream version 4.14.0
  * d/control: update standards version to 4.4.0
  * lintian: drop unused overrides

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 Aug 2019 15:16:00 +0200

xfce4-session (4.13.1-2) experimental; urgency=medium

  * d/patches: hardcode RM_CMD to fix reproducibility issues (Closes: #915423)
  * d/control: drop Lionel from uploaders, thanks!
  * select debhelper compat mode through debhelper-compat b-d
  * d/control: remove versions in b-deps satisfied in stable
  * d/control: update standards version to 4.3.0
  * use HTTPS protocol where needed
  * d/control: drop duplicate Section field
  * update lintian overrides
  * d/patches: add xfce4-screensaver to locker list (Closes: #922718)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 21 Feb 2019 13:53:57 +0100

xfce4-session (4.13.1-1) experimental; urgency=medium

  * New upstream version 4.13.1
  * update dh compat to 10
  * d/rules: drop disable-silent-rules since it's now the default

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 Aug 2018 14:26:25 +0200

xfce4-session (4.13.0-1) experimental; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * New upstream version 4.13.0
  * d/control: update build-deps for new release
  * d/p/01_fix-xrdb-call removed, applied upstream
  * d/p/03_xflock4-update-lockers-list refreshed
  * d/rules: stop manually cleaning stuff
  * d/gbp.conf added, following DEP-14

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 21 May 2018 15:15:59 +0200

xfce4-session (4.12.1-6) unstable; urgency=medium

  * debian/control:
    - drop suggest on pm-utils.
    - update standards version to 4.1.1.
    - drop -dbg package.
  * debian/patches:
    - add mate-screensaver-command to lockers list patch.       closes: #879194
  * Run wrap-and-sort.
  * debian/rules:
    - migrate to dbgsym packages.
    - refactor dh_install override si we now have only one binary package.
  * debian/xfce4-session.install: remove stuff now already present in
    debian/xfce4-session at build time. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 21 Oct 2017 14:39:23 +0200

xfce4-session (4.12.1-5) unstable; urgency=medium

  [ Unit 193 ]
  * d/p/04-use-debian-xscreensaver-wrapper.patch:
    - xscreensaver ships a wrapper that checks what DM is running,
      and conditionally uses either dm-tool or gdmflexiserver.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Nov 2016 14:54:58 +0100

xfce4-session (4.12.1-4) unstable; urgency=medium

  * debian/control:
    - replace recommendation on xscreensaver by light-locker
    - invert systemd-shim/systemd-sysv order in alternate recommends.
    - update standards version to 3.9.8.
    - drop multiarch-support from Pre-Depends: line, we already use
      ${misc:Pre-Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 12 Jun 2016 17:40:48 +0200

xfce4-session (4.12.1-3) unstable; urgency=medium

  * debian/rules:
    - use linux suspend/hibernate backend for Linux and Hurd, freebsd one for
    kFreeBSD.                                                   closes: #785113
  * debian/control:
    - add suggests on pm-utils, used when logind is not available and
    xfce4-session has to rely on its own helper.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 16 May 2015 10:26:48 +0200

xfce4-session (4.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 16:02:10 +0200

xfce4-session (4.12.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - bump libxfce4ui-1-dev to 4.12.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Mar 2015 14:18:07 +0100

xfce4-session (4.12.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * Merged changes from unstable.

  [ Yves-Alexis Perez ]
  * New upstream release.
   - fix bashism in startxfce4 script.                          closes: #742720
  * debian/patches:
    - 02_runtime-logind-support dropped, included upstream.
  * debian/control:
    - update standards version to 3.9.6.
    - add build-dep on dh-autoreconf.
  * debian/rules:
    - call dh-autoreconf to refresh config.{guess,sub}.
  * debian/xfce4-session.lintian-overrides
    - add override for the DesktopNames key in /u/s/xsessions/xfce.desktop. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 20:38:32 +0100

xfce4-session (4.11.0-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * Check for logind support at runtime:
    - debian/patches/02_runtime-logind-support.patch: added.
    - debian/rules:
      + call xdt-autogen after patching
      + clean up autogenerated files modified by xdt-autogen.
    - debian/control:
      + add build-dep on libpolkit-gobject-1-dev.
      + add build-dep on xfce4-dev-tools and libtool in order to run xdt-autogen
        after patching.
      + don't recommend consolekit anymore.
  * debian/control: update my email address.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.5.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 28 Feb 2014 21:33:32 +0100

xfce4-session (4.10.1-10) unstable; urgency=medium

  * debian/{pre,postrm}: correctly handle all alternatives removal.
                                                                closes: #767822

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Nov 2014 22:25:09 +0100

xfce4-session (4.10.1-9) unstable; urgency=medium

  * debian/patches:
    - 0001-Add-DesktopNames-to-.desktop-file added, set the DesktopNames
    property in the .desktop file so the DMs can set XDG_CURRENT_DESKTOP.
    - 0001-Export-XDG_CURRENT_DESKTOP-Bug-11239 added, set XDG_CURRENT_DESKTOP
    to XFCE if not already set (for example because the DM doesn't handle it
    or because the selected session is the default, alternatives managed, one)
    closes: #765728
  * debian/control:
    - update standards version to 3.9.6.
  * debian/postinst:
    - add back startxfce4 to x-session-manager alternatives, we lost that when
      we dropped xfce4-utils package.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 24 Oct 2014 14:32:15 +0200

xfce4-session (4.10.1-8) unstable; urgency=medium

  * debian/patches:
    - 02_add-light-locker-to-xflock4 added, add light-locker support to
      xflock4 now that it's in Jessie.                          closes: #757649

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 16 Aug 2014 12:48:09 +0200

xfce4-session (4.10.1-7) unstable; urgency=medium

  * Check for logind support at runtime:
    - debian/patches/03_runtime-logind-support.patch: added.
      + Allows upower 0.99 support.                             closes: #752425
    - debian/rules:
      + call xdt-autogen after patching
      + clean up autogenerated files modified by xdt-autogen.
    - debian/control:
      + add build-dep on libpolkit-gobject-1-dev.
      + add build-dep on xfce4-dev-tools and libtool in order to run xdt-autogen
        after patching.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 17 Jul 2014 06:37:50 +1000

xfce4-session (4.10.1-6) unstable; urgency=medium

  * debian/rules:
    - disable legacy session management.                        closes: #745676
  * debian/control:
    - replace consolekit recommends by libpam-systemd, and add alternate
      recommends for systemd-shim | systemd-sysv in order to not force systemd
      as init to users for now.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 11 Jun 2014 21:08:39 +0200

xfce4-session (4.10.1-5) unstable; urgency=medium

  * debian/patches/series:
    - disable 02_add-dm-tool-to-xflock4 for now until something actually looks
      the desktop on the signal.                                closes: #735854

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 18 Jan 2014 10:36:02 +0100

xfce4-session (4.10.1-4) unstable; urgency=medium

  * debian/patches:
    - 02_add-dm-tool-to-xflock4 added, add a call to dm-tool as locking
      mechanism.
  * debian/control:
    - update standards version to 3.9.5.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 16 Jan 2014 22:09:59 +0100

xfce4-session (4.10.1-3) unstable; urgency=low

  [ Jackson Doak ]
  * debian/rules: Use disable-silent-build

  [ Yves-Alexis Perez ]
  * debian/patches:
    - fix file patched in 01_fix-xrdb-call.            (really) closes: #648553
  * debian/55xfce4-session:
    - handle case where session is started as startxfce4.       closes: #725399

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 09 Oct 2013 21:17:35 +0200

xfce4-session (4.10.1-2) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Mark Hymers ]
  * Add /usr/share/xfce4 to XDG_DATA_DIRS and add defaults.list symlink
                                                                closes: #717875

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.4.
  * debian/patches:
    - 01_fix-xrdb-call added, don't call xrdb with -nocpp.      closes: #648553

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 17 Sep 2013 21:56:28 +0200

xfce4-session (4.10.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.
  * debian/patches:
    - drop all patches, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 23:16:10 +0200

xfce4-session (4.10.0-2) experimental; urgency=low

  * debian/control:
    - recommends xscreensaver.                                  closes: 3683865
  * debian/patches:
    - 0001-Handle-multiple-interactive-session-save-bug-5379 added, fix broken
      session in some cases.                                    closes: #632404
  * debian/xfce4-session.lintian-overrides updated, we do use hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 13 Oct 2012 15:42:09 +0200

xfce4-session (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * debian/control: revert to unversioned libxfce4util-dev, bump required
    versions for Xfce 4.10.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 05 May 2012 13:44:46 +0200

xfce4-session (4.9.2-1) experimental; urgency=low

  * New upstream development release.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 22 Apr 2012 14:31:11 +0200

xfce4-session (4.9.1-1) experimental; urgency=low

  * New upstream development release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Apr 2012 16:00:33 +0200

xfce4-session (4.9.0-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 05_force-xfsettingsd-start.patch: updated for xfce4-settings 4.9.0
      ('--force' has been changed to '--replace').
    - 06_no-settings-helper-in-490.patch: added, do not launch x-s-h.
    - series: refreshed.
  * debian/control:
    - drop xfce4-dev-tools, libtool and xfce4-panel-dev from Build-Depends.
    - bump xfce4-settings' dep to >= 4.9.0.
    - drop xfce4-utils and ${shlibs:Recommends} from Recommends.
  * debian/rules:
    - clean up, no need to run xdt-autogen.
    - tell dh_install to ignore .la files.
    - drop overrides for shlibdeps and makeshlibs, the panel plugin isn't
      built anymore.
  * debian/xfce4-tips.1: dropped.
  * debian/startxfce4.1: added, stolen from xfce4-utils.

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/control:
    - bump build-deps for 4.9.
    - update standards version to 3.9.3.
    - drop fortunes-mod build-dep since xfce4-tip is gone.
    - make xfce4-session break/replace xfce4-utils since it ships the xinitrc
      script now.
    - drop suggestions of fortunes-mode and sudo.
  * debian/patches:
    - 02_fix-fortune-path, 03_respect-save-settings-logout-plugin,
      04_fix-missing-lm, 05_force-xfsettingsd-start,
      06_no-settings-helper-in-490 dropped, not needed anymore.
  * debian/rules:
    - drop chrpath call.
    - drop strfile call.
    - fix permissions on xinitrc.
    - build with --parallel.
  * debian/debian-tips dropped, there's no tips anymore.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 08 Apr 2012 22:05:11 +0200

xfce4-session (4.8.3-4) unstable; urgency=low

  * debian/patches:
    - 07-Store-the-watch-function-id-to-avoid-possible-double added, fix
      double free() with new glib.                              closes: #706425

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 17 May 2013 22:44:03 +0200

xfce4-session (4.8.3-3) unstable; urgency=low

  * debian/patches:
    - 06-Handle-multiple-interactive-session-save-bug-5379 added, fix session
      not correctly saved in some corner cases.                 closes: #632404

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 08 Nov 2012 22:56:33 +0100

xfce4-session (4.8.3-2) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  This adds a Pre-Dependency on
    a sufficient version of dpkg. Thanks Colin Watson for the patch.
                                                                Closes: #659890
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 03 Mar 2012 12:17:56 +0100

xfce4-session (4.8.3-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream bugfix release.
  * debian/xfce4-autostart-editor.1, debian/manpages: dropped, the binary
    doesn't exist on Xfce 4.6 and later.
  * debian/rules:
    - use debhelper 9 hardening support.
  * Fix paths for multiarch dirs.
  * debian/compat bumped to 9.
  * debian/control:
    - drop hardening-includes build-dep.
    - update debhelper build-dep to 9 for hardening support.
    - add dpkg-dev 1.16.1 build-dep for hardening support.
    - pre-depends on multiarch-support.

  [ Yves-Alexis Perez ]
  * debian/README
    - update text to more accurately describe the way to get ConsoleKit
      permissions.                                              closes: #658284

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 13 Feb 2012 08:00:14 +0100

xfce4-session (4.8.2-3) unstable; urgency=low

  * debian/prerm:
    - don't remove the x-session-manager alternative on upgrades. 
                                                                closes: #653834

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 02 Jan 2012 07:57:30 +0100

xfce4-session (4.8.2-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 04_fix-missing-lm refreshed (cherry-pick the upstream one).

  [ Lionel Le Folgoc ]
  * debian/patches:
    - 03_respect-save-settings-logout-plugin.patch: added, let the logout panel
      plugin respect the '/general/SaveOnExit' xfconf key.      closes: #651842
    - 04_fix-missing-lm.patch: fix to apply cleanly (configure.in.in doesn't
      exist).
    - series: updated.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 20 Dec 2011 15:51:07 +0100

xfce4-session (4.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: 
    - 01_correct_shadows, dropped, we don't show splash screen by default
      anymore anyway.s
    - 03_dont-die-on-dbus-disconnect dropped, included upstream.
    - 02_fix-fortune-path, 04_fix-missing-lm and 
      05_force-xfsettingsd-start refreshed.
  * debian/rules, debian/preinst, debian/postinst, debian/postrm:
    - don't start tips by default, they're completely outdated. closes: #640984
  * debian/preinst:
    - handle /usr/share/doc/xfce4-session/html/el/images symlink beeing
      replaced by a real directory.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 14 Sep 2011 00:01:16 +0200

xfce4-session (4.8.1-4) unstable; urgency=low

  * debian/README.Debian updated
    - mention LightDM.
    - fix path for xfsm-shutdown-helper.                        closes: #637197
  * debian/patches:
    - 04_fix-missing-lm added, fix FTBFS.
  * debian/control:
    - add build-dep on xfce4-dev-tools and libtool.
  * debian/rules:
    - run xdt-autogen before configure.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 04 Sep 2011 21:51:37 +0200

xfce4-session (4.8.1-3) unstable; urgency=low

  * debian/patches:
    - 03_dont-die-on-dbus-disconnect added, fix crash when dbus is restarted.
                                                                closes: #627888

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 27 May 2011 00:37:18 +0200

xfce4-session (4.8.1-2) unstable; urgency=low

  * Upload to unstable. 
  * debian/control:
    - drop Emanuele and Simon from Uploaders, thanks to them.
    - update standards version to 3.9.2.
  * debian/patches:
    - 05_force-xfsettingsd-start added, force xfsettingsd to start.
  * debian/postinst:
    - lower x-session-manager priority so startxfce4 takes precedence.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 16:39:47 +0200

xfce4-session (4.8.1-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/patches:
    - 02_fix-fortune-path refreshed.
    - 04_gk-dont-check-running-use-start refreshed. 
  * debian/control:
    - refresh build-deps for Xfce 4.7.
    - add build-dep on hardening-includes.
    - drop fortunes-mod from depends, xfce4-session uses internal
      implementation. Move it to Suggests so people can still use it for real
      fortunes.
    - add a -dbg package with debugging symbols.
  * debian/rules:
    - don't pass libexecdir, useless now
    - update xfsm-shutdown-helper path in chrpath call.
    - update splash-engine path.
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add hardening flags to {C,LD}FLAGS.
    - strip debugging symbols to the -dbg package.
    - ignore libxfsm-logout plugin in dh_makeshlibs, it's a plugin, not a
      library.
  * debian/xfce4-session.lintian-overrides:
    - drop xfsm-shutdown-helper and balou theme overrides, useless now.
  * debian/copyright updated for new upstream release.

  [ Lionel Le Folgoc ]
  * debian/control:
    - add myself to Uploaders
    - change hal recommends to upower and consolekit.
  * debian/patches/05_reuse-existing-ck-session.patch: do not open a new
    consolekit session if one is already present (Xfce #6685)
  * Bugs fixed by 4.7.x/4.8.x series:
    - Cannot edit an item in Autostarted applications dialog lp: #245171
    - Does not use the ConsoleKit interface to shutdown or reboot lp: #496423
    - Fails to request necessary permissions from policykit to perform
      shutdown/restart when multiple users are logged in lp: #251337
  * debian/patches:
    - 03_gk-start-with-path.patch: dropped, included upstream
    - 04_gk-dont-check-running-use-start.patch: ditto
    - 05_reuse-existing-ck-session.patch: dropped too.
  * Re-enable building of the panel plugin:
    - debian/control: build-depends on xfce4-panel-dev >= 4.7.0
    - debian/rules: add it to chrpath and override dh_shlibdeps to move its
      deps as recommends.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 15 Feb 2011 00:18:12 +0100

xfce4-session (4.6.2-2) unstable; urgency=low

  * debian/patches:
    - 03_gk-start-with-path and 04_gk-dont-check-running-use-start added,
     change the way it starts gnome-keyring so it correctly runs in the
     session and exports environment variables.                 closes: #523322
  * debian/control
    - update standards version to 3.9.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Sep 2010 18:42:53 +0200

xfce4-session (4.6.2-1) unstable; urgency=low

  [Stefan Ott]
  * debian/watch edited to track Xfce archive reorganisation.

  [Yves-Alexis Perez]
  * New upstream release:
    - fix wrong caption in german translation                   closes: #525499
  * debian/README.Debian:
    - add precisions about ConsoleKit/PolicyKit setup.
  * debian/control:
    - update standards version to 3.8.4.
    - drop build-dep on quilt.
    - add dep on ${misc:Depends}.
    - update debhelper build-dep for overrides.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - drop quilt rules.
    - switch to debhelper 7 tiny rules. 
    - make intltool ignore c files in .pc quilt dir.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 May 2010 13:55:01 +0200

xfce4-session (4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 18:13:45 +0200

xfce4-session (4.6.0-2) unstable; urgency=low

  * Upload to unstable, and mark fixed bugs as such:
    - now display suspend/hibernate at session logout.          closes: #490659
  * debian/control:
    - update standards version to 3.8.1.
    - update debhelper build-dep to 7.
    - move to xfce section.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS
    - replace dh_clean -k by dh_prep.
  * debian/compat bumped to 7.
  * add manpage for xfce4-session-settings.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 01:26:03 +0200

xfce4-session (4.6.0-1) experimental; urgency=low

  [ Xfce 4.6 Alpha “Pinkie”]
  * new upstream alpha release.
    - xfce4-session now has a way to edit autostarted apps.     closes: #507948
  * debian/control:
    - update build deps for Xfce 4.6 alpha.
    - update standards version to 3.8.0.
    - replace recommends on xbase-clients by x11-xserver-utils.
    - swap calls to dh_makeshlibs and dh_installdeb. 
    - remove dep on xfce4-mcs-manager and replace it by xfconf,
      xfce4-settings.
    - explicitely add build-dep on libdbus-glib-1-dev.
  * debian/patches:
    - 06_rephrase-tips removed.
    - 07_parallel-startup added, taken from upstream r28005.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release
  * debian/control:
    - update build-deps for Fuzzy.
    - add build dep on libxfconf-0-dev, libglade2-dev.
    - update build-dep on debhelper for a version with dh_lintian
  * debian/patches:
    - 02_use-mice-as-default-engine dropped.
    - 07_parallel-startup removed, included upstream.
    - other patches reordered. 
  * debian/xfce4-session.xml:
    - ship a xfconf config file for selecting the simple engine, put it in
      desktop-base dirs until we can ship it in desktop-base package.
  * debian/rules:
    - don't manually install lintian overrides, use dh_lintian
  * debian/lintian:
    - renamed to debian/xfce4-session.lintian-overrides.
    - updated to match Fuzzy.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release
  * debian/control:
    - update build-deps for Hopper.
  * debian/xfce4-session.xml:
    - now that simple engine configuration is handled is xfconf, provide a
      desktop-base config file.
  * debian/patches:
    - 03_fix-suspend-errors-at-resume added, fix errors when resuming.
  * debian/xfce4-session.lintian-overrides:
    - update link for beta2.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.
  * debian/patches:
    - 02_xfce4-session-logout-manpage-typo dropped.
    - 03_fix-suspend-errors-at-resume as well.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/control:
    - update build-deps for 4.6.
  * debian/README.Debian: add precisions about choices in GDM.
  * debian/patches:
    - 02_fix-fortune-path added, fix fortune call path.         closes: #497199
  * debian/xfce4-session.xml removed, will be shipped in desktop-base.
  * debian/rules: don't install xfce4-session.xml

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 13:01:12 +0100

xfce4-session (4.4.2-6) unstable; urgency=low

  * debian/{postinst,prerm}: have them back, they manage the x-session-manager
    alternative.                                                closes: #481933

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 20 May 2008 08:18:16 +0200

xfce4-session (4.4.2-5) unstable; urgency=low

  * switch to triggers:
    - debian/{postinst,prerm} dropped.
    - debian/control: conflict against non-triggers-enabled xfce4-mcs-manager. 
  * debian/control:
    - remove Conflicts/Replaces: xfce4-toys, since it's not in Etch.
    - drop Martin Loschwitz from Uploaders.
    - remove Conflicts on desktop-base since Etch as a correct version.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 May 2008 19:45:02 +0200

xfce4-session (4.4.2-4) unstable; urgency=low

  * debian/patches: 06_rephrase-tip added.                      closes: #399694

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 17 May 2008 15:36:15 +0200

xfce4-session (4.4.2-3) unstable; urgency=low

  * debian/control: use dbus-x11 in Recommends: to make sure dbus users have a
    session bus running.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Apr 2008 17:49:34 +0200

xfce4-session (4.4.2-2) unstable; urgency=low

  * debian/copyright: don't ship complete GFDL text.
  * debian/patches: 05_fix-resize-simple-splash-engine added, fix resize in
    simple engine config window.                                closes: #408445
  * debian/control:
    - updated standard versions to 3.7.3.
    - updated my email address.
    - add dependency on xfce4-mcs-manager because of settings plugins calling
      xfce-setting-show
  * debian/lintian: 
    - override "desktop-command-not-in-package" for xfce-setting-show now we 
      depend on it.
    - edit overrides for "binary-without-manpage", using complete path.
  * debian/copyright: use © sign.


 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 28 Feb 2008 20:46:13 +0100

xfce4-session (4.4.2-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/rules: don't ignore all make errors at clean stage.

  [ Simon Huggins ]
  * Fix shlibs for newer dpkg
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:19 +0000

xfce4-session (4.4.1-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control: build against dbus to enable users to shutdown through hal.
    See README.Debian for more details.                         closes: #431886
  * debian/postinst: use posix kill -s to avoid problems on hurd.

  [ Simon Huggins ]
  * debian/prerm: Use kill -s to keep Hurd and lintian happy at the same time.
  * debian/patches/03*: Add patch to -session.1 manpage for typos
                                                                closes: #351424
  * debian/patches/04*: Add patch to -session-logout.1 manpage for typos
                                                                closes: #381398
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.

 -- Simon Huggins <huggie@earth.li>  Sat, 20 Oct 2007 12:47:13 +0100

xfce4-session (4.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update licenses & copyright holders.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

xfce4-session (4.4.0-1) experimental; urgency=low
  
  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4.

  (Emanuele Rocca)
  * xfce4-autostart-editor(1) and xfce4-tips(1) added.
  * Wrote a couple of Debian related tips in debian/debian-tips.
    Build-depend on fortune-mod to update tips.dat at build time.
  * libxfsm-4.2-0 is a private library, added lintian override for
    'package-name-doesnt-match-sonames'.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 04 Feb 2007 13:15:38 +0100

xfce4-session (4.3.99.2-3) unstable; urgency=low

  * Ship a xfce4-session.rc for failsafe session but use a default splash
    engine if none is configured.				closes: #402708

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 18 Dec 2006 12:00:40 +0100

xfce4-session (4.3.99.2-2) unstable; urgency=low

  * Remove useless build-dep on libhal-dev. What the hell was I thinking
    about that day ?						Closes: #402021

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu,  7 Dec 2006 17:54:33 +0100

xfce4-session (4.3.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).
  * Added a patch to disable shadows in simple engine.
  * debian/rules: remove xfce4-session.rc from package so it uses by default
    files from desktop-base if present.
  * debian/control: conflicts against desktop-base << 0.3.20 because it needs
    a correct xfce4-session.rc no present before.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 27 Nov 2006 08:41:39 +0100

xfce4-session (4.3.99.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 13:42:51 +0100

xfce4-session (4.3.90.2-1) unstable; urgency=low
  
  (Yves-Alexis Perez)
  * New upstream release.
  * debian/postinst: fixed install on hurd by not using pkill.
  * debian/control: updated standards version to 3.7.2. 
  (Simon Huggins)
  * Add rpath fixes.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 10 Jul 2006 19:25:08 +0200

xfce4-session (4.3.90.1-1) unstable; urgency=low

  (Yves-Alexis Perez) 
   * New Upstream Release
  (Simon Huggins)
   * Remove all pointless .la files
   * Depend on fortune-mod for xfce4-tips
  
 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 18:35:05 +0100
 
xfce4-session (4.2.3-1) unstable; urgency=low

  * New Upstream Release
  * Send xfce-mcs-manager a SIGUSR1 so it notices the plugin.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 06 Nov 2005 22:01:12 +0100

xfce4-session (4.2.2-1) unstable; urgency=low

  * SH: New Upstream Release
  * SH: Fix description                                       closes: #300058
  * ER: Add lintian override: no-shlibs-control-file,
    postinst-must-call-ldconfig
  * SH: Add more lintian overrides - no point splitting out to a dev file and
    the binaries are private.
  * SH: Change suite to unstable

 -- Simon Huggins <huggie@earth.li>  Sat, 18 Jun 2005 09:43:33 +0100

xfce4-session (4.2.1-1) experimental; urgency=low

  * ML: New Upstream Release (Xfce 4.2.1)
  * ML: Upload to experimental to prevents problems with NEW packages
  * ML: debian/control: Added/fixed Maintainer/Uploaders fields

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 19 Mar 2005 13:02:00 +0100

xfce4-session (4.2.0-2) experimental; urgency=low

  * Add --enable-final to configure
  * Add a Homepage: to the description

 -- Simon Huggins <huggie@earth.li>  Sun, 16 Jan 2005 16:01:58 +0000

xfce4-session (4.2.0-1) experimental; urgency=low

  * New upstream release

 -- Simon Huggins <huggie@earth.li>  Sat, 15 Jan 2005 14:00:59 +0000

xfce4-session (4.1.99.1-1) experimental; urgency=low

  * New upstream release (4.1.99.1 aka 4.2 RC1)
  * Build-Depend on xbase-clients for iceauth

 -- Simon Huggins <huggie@earth.li>  Sat, 20 Nov 2004 19:00:44 +0000

xfce4-session (0.1.3+20031213-5) unstable; urgency=low

  * Backport patch from CVS to allow --disable-tcp to work   closes: #254812
  * Kludge in similar solution to upstream's CVS to always run
    ~/Desktop/Autostart even when there is no session        closes: #254812
  * This implied a libtool update which makes the previous renaming of
    session_settings.so redundant
  * Update the manpage to the one in CVS now that we support those commandline
    options
  * Disable smproxy in the default.session so that new sessions don't start
    xfce4 twice                                              closes: #261431
  * Add note in README.Debian about disabling smproxy and about not reporting
    bugs to upstream
  * Change upstreams manpage so it refers to the BTS not upstream

 -- Simon Huggins <huggie@earth.li>  Wed, 04 Aug 2004 17:41:09 +0100

xfce4-session (0.1.3+20031213-4) unstable; urgency=low

  * Take over this package with permission from Oliver - thanks to Oliver for
    his work on it.
  * Add Daniel Silverstone and Martin Loschwitz to Uploaders ready for when
    the xfce4 packages are group maintained.
  * Remove unneccessary session_settings.la

 -- Simon Huggins <huggie@earth.li>  Sat, 10 Jul 2004 14:26:07 +0100

xfce4-session (0.1.3+20031213-3) unstable; urgency=low

  * fix "logout window" not shown when using with GLib 2.4.x
    Thanks to Simon Huggins for digging up the patch
    (Closes: #252715, #253309)
  * manually rename session_settings to session_setting.so, somehow
    new builds don't name the file correctly
    (noticed by Michael Kebe and Simon Huggins)
  * remove explict Build-Depends on xlibs-dev and libgtk2.0-dev.
    These are now provided by libxfcegui4-dev >= 4.0.5. Bump required
    versions of various xfce4 libs to 4.0.5
  * Provide: x-session-manager and register as alternative for
    /usr/bin/x-session-manager (Closes: #187748, #203510, #234014, #252870)
  * bump up to Standards-Version: 3.6.1.0 (no changes)

 -- Oliver M. Bolzer <oliver@debian.org>  Sat,  3 Jul 2004 11:58:00 +0200

xfce4-session (0.1.3+20031213-2) unstable; urgency=low

  * include xinitrc.xfce4-session mentioned in the README (Closes: #228318)

 -- Oliver M. Bolzer <oliver@debian.org>  Mon, 16 Feb 2004 09:37:27 +0100

xfce4-session (0.1.3+20031213-1) unstable; urgency=low

  * Initial Upload to Archive. (Closes: #223536)
  * sync to upstream CVS, crash bug fixed that could leave inconstent session
  * man pages made now included upstream

 -- Oliver M. Bolzer <oliver@debian.org>  Sat, 13 Dec 2003 14:03:18 +0100

xfce4-session (0.1.3+20030922-1) unstable; urgency=low

  * Initial Package.

 -- Oliver M. Bolzer <oliver@debian.org>  Tue,  9 Dec 2003 09:40:42 +0100

